﻿        
		// заменить весь case "buy"
		
		private static void callback_housebuy(Client player, Menu menu, Menu.Item item, string eventName, dynamic data)
        {
            switch (item.ID)
            {
                case "buy":
                    MenuManager.Close(player);
                    if (!player.HasData("HOUSEID")) return;

                    House house = Houses.FirstOrDefault(h => h.ID == player.GetData("HOUSEID"));
                    if (house == null) return;

                    if (!string.IsNullOrEmpty(house.Owner))
                    {
                        Notify.Send(player, NotifyType.Error, NotifyPosition.BottomCenter, $"В этом доме уже имеется хозяин", 3000);
                        return;
                    }

                    if (house.Price > Main.Players[player].Money)
                    {
                        Notify.Send(player, NotifyType.Error, NotifyPosition.BottomCenter, $"У Вас не хватает средств для покупки дома", 3000);
                        return;
                    }

                    if (Houses.Count(h => h.Owner == player.Name) >= 1)
                    {
                        Notify.Send(player, NotifyType.Error, NotifyPosition.BottomCenter, $"Вы не можете купить больше одного дома", 3000);
                        return;
                    }
                    var vehicles = VehicleManager.getAllPlayerVehicles(player.Name).Count;
                    var maxcars = GarageManager.GarageTypes[GarageManager.Garages[house.GarageID].Type].MaxCars;
                    if (vehicles > maxcars)
                    {
                        Notify.Send(player, NotifyType.Error, NotifyPosition.BottomCenter, $"Дом, который Вы покупаете, имеет {maxcars} машиномест, продайте лишние машины", 3000);
                        OpenCarsSellMenu(player);
                        return;
                    }
                    if(HouseTypeList[house.Type].PetPosition != null) house.PetName = Main.Players[player].PetName;
                    Notify.Send(player, NotifyType.Success, NotifyPosition.BottomCenter, $"Вы купили этот дом, не забудьте внести налог за него в банкомате", 3000);
                    Notify.Send(player, NotifyType.Success, NotifyPosition.Center, $"НЕ ЗАБУДЬТЕ ВНЕСТИ НАЛОГИ ЗА ДОМ В БЛИЖАЙШЕМ БАНКОМАТЕ!", 8000);
                    CheckAndKick(player);
                    house.SetLock(true);
                    house.SetOwner(player);
                    house.SendPlayer(player);
                    MoneySystem.Bank.Accounts[house.BankID].Balance = Convert.ToInt32(house.Price / 100 * 0.02) * 2;

                    MoneySystem.Wallet.Change(player, -house.Price);

                    var targetVehicles = VehicleManager.getAllPlayerVehicles(player.Name.ToString());
                    var vehicle = "";
                    foreach (var num in targetVehicles)
                    {
                        vehicle = num;
                        break;
                    }


                    foreach (var v in NAPI.Pools.GetAllVehicles())
                    {
                        if (v.HasData("ACCESS") && v.GetData("ACCESS") == "PERSONAL" && NAPI.Vehicle.GetVehicleNumberPlate(v) == vehicle)
                        {
                            var veh = v;
                            if (veh == null) return;
                            VehicleManager.Vehicles[vehicle].Fuel = (!NAPI.Data.HasEntitySharedData(veh, "PETROL")) ? VehicleManager.VehicleTank[veh.Class] : NAPI.Data.GetEntitySharedData(veh, "PETROL");
                            NAPI.Entity.DeleteEntity(veh);

                            MoneySystem.Wallet.Change(player, -200);
                            GameLog.Money($"player({Main.Players[player].UUID})", $"server", 200, $"carEvac");
                            Notify.Send(player, NotifyType.Info, NotifyPosition.BottomCenter, $"Ваша машина была отогнана в гараж", 3000);
                            break;
                        }
                    }

                    GameLog.Money($"player({Main.Players[player].UUID})", $"server", house.Price, $"houseBuy({house.ID})");
                    return;
            }
        }
